// pages/everyday/everyday.js
const app = getApp()
Page({

  /**
   * 页面的初始数据
   */
  data: {
    imgUrl: app.globalData.urlStatic,//图片路径
    maskShow: false,
    taskShow: false,
    taskName:'集齐启辰星【大灯】碎片',
    taskImgUrl:'https://www.jiyou-tech.com/2020/496_qichen/static/star/everyday/taskImg1.png',
    isSign:true,
    isShare:false,
    picturlList: ['picturePuzzle1', 'picturePuzzle1','picturePuzzle1'],
    picturlCurrent:0,
  },
  /**
   * 关闭任务窗
   */
  hiddenTask:function(){
    this.setData({
      maskShow: false,
      taskShow: false
    })
  },
  /**
   * 签到
   */
  signIn(){
    this.setData({
      taskName: '集齐启辰星【大灯】碎片1/4',
      taskImgUrl: 'https://www.jiyou-tech.com/2020/496_qichen/static/star/everyday/taskImg2.png',
      isSign: false,
      isShare: true
    })
  },
  /**
   * 下个碎片
   */
  nextPicturl(){
    var max = this.data.picturlList.length-1;
    var current = this.data.picturlCurrent + 1;
    if (current <= max){
      this.setData({
        picturlCurrent: current
      })
    }
  },
  //上一个碎片
  prevPicturl(){
    var current = this.data.picturlCurrent - 1;
    if (current >= 0) {
      this.setData({
        picturlCurrent: current
      })
    }
  },
  /**
   * 星探任务
   */
  goScout(){
    wx.navigateTo({
      url: '../scout/scout'
    })
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {

  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})